# $Revision: 1.26 $, $Date: 2002/04/13 17:27:40 $
%include	/usr/lib/rpm/macros.python
Summary:	Simple virtualizing POP3 password interface
Summary(pl):	Prosty interfejs wirtualizujcy do POP3
Name:		vmailmgr
Version:	0.96.9
Release:	4
License:	GPL
Group:		Applications/System
Source0:	http://em.ca/~bruceg/vmailmgr/archive/%{version}/%{name}-%{version}.tar.gz
Source1:	%{name}.init
Source2:	%{name}-qpop.inetd
Source3:	http://mricon.com/SM/guide/qvcs-guide.html
URL:		http://em.ca/~bruceg/vmailmgr/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	python-devel >= 2.2.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	checkvpw

%define python_sitepkgsdir %(echo `python -c "import sys; print (sys.prefix + '/lib/python' + sys.version[:3] + '/site-packages/')"`)
%define python_compile_opt python -O -c "import compileall; compileall.compile_dir('.')"
%define python_compile python -c "import compileall; compileall.compile_dir('.')"

%description
Vmailmgr provides a virtualizing password-checking interface to
qmail-pop3d as well as both a delivery agent to automatically delivery
mail within a virtual domain and a set of tools to manage such a
domain.

%description -l pl
Vmailmgr dostarcza wirtualizujcy interfejs sprawdzajcy hasa do
qmail-pop3d oraz program dostarczajcy poczt w domenie wirtualnej i
zestaw narzdzi do obsugi takiej domeny.

%package cgi
Summary:	CGI applications for vmailmgr
Summary(pl):	Aplikacje CGI do vmailmgr
Group:		Applications/System
Requires:	vmailmgr-daemon = %{version}
Requires:	webserver

%description cgi
This package contains CGI applications to allow web-based
administration of vmailmgr systems.

%description cgi -l pl
Ten pakiet zawiera aplikacje CGI pozwalajce na administracj usugami
vmailmgr przez WWW.

%package php
Summary:	PHP applications for vmailmgr
Summary(pl):	Aplikacje PHP do vmailmgr
Group:		Applications/System
Requires:	vmailmgr-daemon = %{version}
Requires:	webserver

%description php
This package contains PHP applications to allow web-based
administration of vmailmgr systems.

%description php -l pl
Ten pakiet zawiera aplikacje PHP pozwalajce na administracj usugami
vmailmgr przez WWW.

%package daemon
Summary:	Vmailmgr daemon for CGIs
Summary(pl):	Demon vmailmgr dla CGI
Group:		Applications/System
PreReq:		rc-scripts
PreReq:		/sbin/chkconfig

%description daemon
This package contains the vmailmgrd daemon that provides virtual
domain manipulation services to support unprivileged clients like
CGIs.

%description daemon -l pl
Ten pakiet zawiera demona vmailmgrd pozwalajcego na manipulacj
domenami wirtualnymi nieuprzywilejowanym klientom, takim jak CGI.

%package python
Summary:	Python modules and CGIs for vmailmgr
Summary(pl):	Moduy pythona i CGI do vmailmgr
Group:		Applications/System
%pyrequires_eq	python
Requires:	vmailmgr-daemon = %{version}

%description python
This package contains vmailmgr code written in/for Python, including
one CGI.

%description python -l pl
Ten pakiet zawiera kod vmailmgra napisany w/dla Pythona i jedno CGI.

%package pop3
Summary:	qmail-pop3 config for vmailmgr
Summary(pl):	Konfiguracja qmail-pop3 dla vmailmgr
Group:		Applications/System
Requires:	vmailmgr-daemon = %{version}
Requires:	qmail-pop3
PreReq:		rc-inetd

%description pop3
This package contains configfiles needed for working with qmail pop3
server.

%description pop3 -l pl
Ten pakiet zawiera pliki konfiguracyjne potrzebne do pracy z serwerem
pop3 qmaila.

%package quota
Summary:	Config files needed for per-virtual-user quotas for vmailmgr
Summary(pl):	Pliki konfiguracyjne do quoty dla uytkownikw vmailmgr
Group:		Applications/System
Requires:	vmailmgr-daemon = %{version}
Requires:	qmail-pop3

%description quota
This package contains configfiles needed for working with
per-virtual-user quotas.

%description quota -l pl
Ten pakiet zawiera pliki konfiguracyjne potrzebne do quoty dla
uytkownikw wirtualnych.

%prep
%setup -q
install %{SOURCE3} doc

%build
aclocal
autoconf
%configure
%{__make} all

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{var/log/vmailmgrd,etc/{rc.d/init.d,vmailmgr,qmail,sysconfig/rc-inetd}}

%python_compile
%python_compile_opt

%{__make} install DESTDIR=$RPM_BUILD_ROOT \
	cgidir=/home/httpd/cgi-bin \
	pythonlibdir=%{python_sitepkgsdir}/vmailmgr

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/vmailmgrd
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/qpop-vmailmgr

echo users >$RPM_BUILD_ROOT%{_sysconfdir}/vmailmgr/user-dir
echo passwd >$RPM_BUILD_ROOT%{_sysconfdir}/vmailmgr/password-file
echo ./Maildir/ >$RPM_BUILD_ROOT%{_sysconfdir}/vmailmgr/default-maildir
echo maildir >$RPM_BUILD_ROOT%{_sysconfdir}/vmailmgr/maildir-arg-str
echo /var/lock/svc/vmailmgrd/socket >$RPM_BUILD_ROOT%{_sysconfdir}/vmailmgr/socket-file
echo checkvpw >$RPM_BUILD_ROOT%{_sysconfdir}/qmail/checkpassword

cat << EOF >$RPM_BUILD_ROOT%{_sysconfdir}/vmailmgr/vdeliver-predeliver
#!/bin/sh
%{_bindir}/vcheckquota
EOF

gzip -9nf doc/{ChangeLog*,*.txt}

%clean
rm -rf $RPM_BUILD_ROOT

%post daemon
/sbin/chkconfig --add vmailmgrd
touch /var/log/vmailmgrd
if [ -f /var/lock/subsys/vmailmgrd ]; then
	/etc/rc.d/init.d/vmailmgrd restart >&2
else
	echo "Run \"/etc/rc.d/init.d/vmailmgrd start\" to start vmailmgrd daemon."
fi

%preun daemon
if [ "$1" = "0" ];then
	if [ -r /var/lock/subsys/vmailmgrd ]; then
		/etc/rc.d/init.d/vmailmgrd stop >&2
	fi
	/sbin/chkconfig --del vmailmgrd
fi

%post pop3
if [ -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd reload 1>&2
else
	echo "Type \"/etc/rc.d/init.d/rc-inetd start\" to start inet server" 1>&2
fi

%postun pop3
if [ -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd reload
fi

%files
%defattr(644,root,root,755)
%doc doc/{*.gz,*.html,*.sgml}
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %dir %{_sysconfdir}/vmailmgr
%config(missingok noreplace) %verify(not size mtime md5) %{_sysconfdir}/vmailmgr/*
%{_mandir}/man[1578]/*

%files cgi
%defattr(644,root,root,755)
%attr(755,root,root) /home/httpd/cgi-bin/*

%files php
%defattr(644,root,root,755)
/home/httpd/php/*

%files daemon
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/vmailmgrd
%attr(755,root,root) %{_sbindir}/vmailmgrd
%attr(700,root,root) %dir /var/log/vmailmgrd

%files python
%defattr(644,root,root,755)
%dir %{python_sitepkgsdir}/vmailmgr
%{python_sitepkgsdir}/vmailmgr/*.pyc
%{python_sitepkgsdir}/vmailmgr/*.pyo

%files pop3
%defattr(644,root,root,755)
%config /etc/sysconfig/rc-inetd/qpop-vmailmgr

%files quota
%defattr(644,root,root,755)
%config %{_sysconfdir}/vmailmgr/vdeliver-predeliver

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: vmailmgr.spec,v $
Revision 1.26  2002/04/13 17:27:40  kloczek
- added missing %include /usr/lib/rpm/macros.python.
---------------------------------------------------------------------

Revision 1.25  2002/04/13 17:16:10  kloczek
- rebuild against python 2.2.1.

Revision 1.24  2002/04/11 13:45:35  wrobell
- use pyrequires_eq instead of requires_eq macro (massive attack!)

Revision 1.23  2002/02/22 23:29:57  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.22  2002/02/19 18:53:36  gotar
- %desc

Revision 1.21  2002/02/06 09:05:13  kloczek
- adapterized.

Revision 1.20  2002/02/04 05:28:59  kloczek
- release 4: rebuild against python 2.2.

Revision 1.19  2002/01/18 02:15:18  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.18  2001/09/25 14:11:27  qboosh
- -daemon Prereq: /sbin/chkconfig
- pl translations
- release 3

Revision 1.17  2001/08/31 14:38:03  kloczek
- BuildRequires:  python-devel >= 2.1.1.

Revision 1.16  2001/08/31 14:23:13  wrobell
- rebuilded with python 2.1.1
- rel. 2, stb.

Revision 1.15  2001/08/27 18:55:44  kloczek
- added automake, autoconf to BuildRequires,
- simplifications and some cosmetics.

Revision 1.14  2001/08/22 22:23:50  hunter
-added new doc

Revision 1.13  2001/08/19 15:45:07  kloczek
- spec adapterized,
- put into separated file vmailmgr-qpop rc-inetd service description,
- added rc-inetd to Prereq and reloading rc-inetd in %post/%posun scripts,
- added rc-scripts to Prereq for daemon subpackage,
- fix %preun for damen script.
NOTE: still missing specify required php modules list for php subpackage.

Revision 1.12  2001/08/19 14:22:02  hunter
-added packages -pop3 for checking mail from virtual mailboxes and
		-quota for limiting hdd space

Revision 1.11  2001/08/19 00:35:25  agaran
ac-2.5 ready

Revision 1.10  2001/07/26 05:42:25  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.8  2000/12/04 11:01:41  waszi
- typo

Revision 1.7  2000/12/04 10:56:02  waszi

- updated to 0.96.9
- partially rewrited
- need check - python

Revision 1.6  2000/06/09 07:24:01  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/04/01 11:15:56  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.3  1999/11/28 16:14:50  kloczek
- cosmetics.

Revision 1.2  1999/11/28 15:27:28  waszi
- small fixes
